Set Default Outbound
curl --request POST \
--url https://agents.labs.bandwidth.com/api/v1/organizations/telephony-configs/{config_id}/set-default-outbound \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents.labs.bandwidth.com/api/v1/organizations/telephony-configs/{config_id}/set-default-outbound"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents.labs.bandwidth.com/api/v1/organizations/telephony-configs/{config_id}/set-default-outbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"credentials": {},
"id": 123,
"is_default_outbound": true,
"name": "<string>",
"provider": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Telephony Configurations
Set Default Outbound
Designate this configuration as the org-wide default for outbound calls
POST
/
api
/
v1
/
organizations
/
telephony-configs
/
{config_id}
/
set-default-outbound
Set Default Outbound
curl --request POST \
--url https://agents.labs.bandwidth.com/api/v1/organizations/telephony-configs/{config_id}/set-default-outbound \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents.labs.bandwidth.com/api/v1/organizations/telephony-configs/{config_id}/set-default-outbound"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents.labs.bandwidth.com/api/v1/organizations/telephony-configs/{config_id}/set-default-outbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"credentials": {},
"id": 123,
"is_default_outbound": true,
"name": "<string>",
"provider": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Requires a Labs OAuth user access token with the
super_user role and Admin or Owner workspace access. API keys are not accepted for this endpoint. See authentication.
Campaigns and ad-hoc calls that omit telephony_configuration_id use the default outbound configuration. Setting a new default automatically clears the previous one — at most one configuration can be the default at a time.